/*
 * Card
 *
 * Index
 * - Card
 * - Native
 * - Icon
 */

/* CARD
 -------------------- */

:host {
  position: relative;
  box-sizing: border-box;
  display: block;
  margin-bottom: var(--margin-bottom, 1rem);
  background: var(--road-surface);
  border: 1px solid var(--road-outline-weak);
  border-radius: var(--road-spacing-02);
}

:host(.card-elevation-none) {
  box-shadow: none;
}

:host(.card-elevation-lowest) {
  box-shadow: var(--road-elevation-lowest);
}

:host(.card-elevation-average) {
  box-shadow: var(--road-elevation-average);
}

/* NATIVE
 -------------------- */

.card-native {
  box-sizing: border-box;
  display: block;
  width: 100%;
  height: 100%;
  padding: var(--road-spacing-06);
  margin: 0;
  font-family: inherit;
  font-size: inherit;
  font-style: inherit;
  font-weight: inherit;
  color: inherit;
  text-align: center;
  text-decoration: inherit;
  text-indent: inherit;
  text-overflow: inherit;
  text-transform: inherit;
  letter-spacing: inherit;
  white-space: inherit;
  background: var(--road-surface);
  border: 0;
  border-radius: 0.25rem;
  outline: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.card-native:focus{
  border: 1px solid var(--road-primary);
}

/* @media (min-width: 768px) {

  .card-native {
    padding: var(--road-spacing-06);
  }
} */

a,
button {
  cursor: pointer;
  user-select: none;
  -webkit-user-drag: none;
}

/* ICON
 -------------------- */

::slotted(road-icon) {
  text-align: center;
}
